ilmbase (3.1.10-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream bugfix release
  * debian/rules: Change BUILD_DOCS -> BUILD_WEBSITE per upstream rename
  * debian/patches/: Rebase *sphinx*.patch for docs -> website dir name change
    - Add restore-docs-website-install.patch to install docs/website as before
    - Drop no-cmake-python-module-exports.patch (upstreamed)

 -- Rob Savoury <savoury@savos.tech>  Wed, 31 Jan 2024 17:19:51 -0800

ilmbase (3.1.9-imath-0ubuntu1~18.04.sav5) bionic; urgency=medium

  * Remembering that dpkg fails to resolve upgrading to a renamed package,
    even with correct Breaks/Replaces/Provides added for the new package:
    - debian/control: Drop Provides libimath29 from libimath-3-1-29 and add
      a transitional libimath29 package depending on libimath-3-1-29 instead

 -- Rob Savoury <savoury@savos.tech>  Sat, 07 Oct 2023 18:38:38 -0700

ilmbase (3.1.9-imath-0ubuntu1~18.04.sav4) bionic; urgency=medium

  * d/control: Set versioned Breaks/Replaces libimath29 for libimath-3-1-29

 -- Rob Savoury <savoury@savos.tech>  Wed, 04 Oct 2023 19:39:40 -0700

ilmbase (3.1.9-imath-0ubuntu1~18.04.sav3) bionic; urgency=medium

  * debian/control: Change Conflicts -> Breaks for libimath-3-1-29 (fix dpkg
    not finding upgrade path to now renamed library package from libimath29)

 -- Rob Savoury <savoury@savos.tech>  Wed, 04 Oct 2023 18:36:25 -0700

ilmbase (3.1.9-imath-0ubuntu1~18.04.sav2) bionic; urgency=medium

  * Also merge this change from Debian src:imath to fix i386 FTBFS:
    - debian/control: completely move Indep b-deps to Arch-dep

 -- Rob Savoury <savoury@savos.tech>  Thu, 28 Sep 2023 21:15:50 -0700

ilmbase (3.1.9-imath-0ubuntu1~18.04.sav1) bionic; urgency=medium

  * Merge some changes from Debian src:imath (reduce delta and improve build):
    - SONAME change: libimath29 -> libimath-3-1-29 (use Debian lib name style)
    - debian/: massive packaging simplification [some parts of this only, ie.
      add override_dh_install-arch target including dh_numpy3 invocation]
    - debian/control: Update package descriptions and layout per Debian
    - debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON config
    - debian/python3-imath.install: Use Debian one (unversioned *.so link)
    - debian/libimath-doc.examples: Include in build for examples
    - debian/upstream/: Add upstream metadata and signing key
    - debian/copyright: Update copyright holders for * paragraph
      - Add Debian developers to debian/* paragraph (BSD-3-Clause)
  * debian/control: Add Conflicts/Replaces/Provides libimath29 to renamed lib
  * debian/rules: Simplify override_dh_auto_test to ignore results on all arch
    - Drop override_dh_installdocs-indep target, use dh --with sphinx instead
    - Add override_dh_installexamples target and use libimath-dev path
    - Change --list-missing -> --fail-missing for dh_missing invocation
  * debian/not-installed: Add and include usr/share/doc/Imath/sphinx path
  * debian/copyright: Update copyright years for * and debian/* paragraphs

 -- Rob Savoury <savoury@savos.tech>  Thu, 28 Sep 2023 20:43:26 -0700

ilmbase (3.1.9-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream release
  * SONAME revert: libimath30 -> libimath29 (SONAME was incorrectly bumped for
    version 3.1.7 as mentioned by upstream in CHANGES.md release notes file)

 -- Rob Savoury <savoury@savos.tech>  Sun, 09 Jul 2023 13:47:43 +1000

imath (3.1.9-2) unstable; urgency=medium

  * debian/rules: drop tests compilation

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Aug 2023 13:57:55 +0200

imath (3.1.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1042171)
  * debian/: massive packaging simplification

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Aug 2023 00:24:19 +0200

ilmbase (3.1.7-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream release
  * SONAME bump: libimath29 -> libimath30
  * d/rules: Change DOCS -> BUILD_DOCS config as per upstream change
  * d/patches/: Update revert-sphinx-requirement.patch to also revert new
    requirement for sphinx-press-theme (not available for Sphinx < 2.0)

 -- Rob Savoury <savoury@savos.tech>  Thu, 16 Mar 2023 12:52:37 -0700

imath (3.1.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 15:17:19 +0100

ilmbase (3.1.6-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream bugfix release
  * d/patches/: Rebase as required for source changes

 -- Rob Savoury <savoury@savos.tech>  Fri, 11 Nov 2022 11:44:06 -0800

imath (3.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Apr 2022 22:58:59 +0200

ilmbase (3.1.5-imath-0ubuntu1~18.04.sav2) bionic; urgency=medium

  * d/patches/: Add no-cmake-python-module-exports.patch to prevent any Python
    modules from being added to CMake exports targets (for use of dev package
    without dependency on python3-imath, as per change in previous upload)

 -- Rob Savoury <savoury@savos.tech>  Sat, 06 Aug 2022 16:41:43 -0700

ilmbase (3.1.5-imath-0ubuntu1~18.04.sav1) bionic; urgency=medium

  * debian/control/: Remove python3-imath dep from dev package as it is not
    generally needed and results in many extra Python package dependencies

 -- Rob Savoury <savoury@savos.tech>  Sat, 06 Aug 2022 12:42:29 -0700

ilmbase (3.1.5-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream bugfix release
  * debian/patches/: Add restore-sphinx-master-toctree.patch to fix FTBFS

 -- Rob Savoury <savoury@savos.tech>  Wed, 06 Apr 2022 15:49:11 -0700

imath (3.1.4-3) unstable; urgency=medium

  * debian/rules: expand Python version
  * debian/copyright: extend copyright timestamp

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Mar 2022 13:50:24 +0100

imath (3.1.4-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/rules: Make sure to remove another FATAL_ERROR from cmake config files

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override. Closes: #1003804

 -- Mathieu Malaterre <malat@debian.org>  Mon, 21 Feb 2022 14:09:14 +0100

imath (3.1.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset dropped (merged upstream)
  * debian/rules: bump API revision 2 -> 3

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Feb 2022 00:11:51 +0100

ilmbase (3.1.4-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream bugfix release
  * debian/patches/: Drop testFun.patch as upstream has reworked test

 -- Rob Savoury <savoury@savos.tech>  Sat, 22 Jan 2022 18:41:53 -0800

imath (3.1.3-10) unstable; urgency=medium

  * Team upload.
  * d/rules: Downgrade an error to simply a status message. Closes: #1004067

 -- Mathieu Malaterre <malat@debian.org>  Sun, 23 Jan 2022 17:29:48 +0100

imath (3.1.3-9) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix installation for indep only debuild (-A)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Jan 2022 11:54:31 +0100

imath (3.1.3-8) unstable; urgency=medium

  * d/rules Make sure to only build docs when needed
  * d/control: Remove self from Uploader.

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 17:06:02 +0100

imath (3.1.3-7) unstable; urgency=medium

  * d/rules: Refactor the install rules

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 15:29:58 +0100

imath (3.1.3-6) unstable; urgency=medium

  * Upload imath to unstable
  * d/rules: Test suite is written for sse-type arch
  * d/rules: Fix lintian missing-dependency-on-numpy-abi error
  * d/patches: Remove some simple typos in the code

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 14:31:57 +0100

imath (3.1.3-5) experimental; urgency=medium

  * d/patches: Prevent race condition (dh --parallel)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 30 Nov 2021 10:06:05 +0100

imath (3.1.3-4) experimental; urgency=medium

  * debian/control: completely move Indep b-deps to Arch-dep

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 20:34:29 +0100

imath (3.1.3-3) experimental; urgency=medium

  * debian/control: doxygen b-dep moved away from indep

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 15:48:52 +0100

imath (3.1.3-2) experimental; urgency=medium

  * debian/control: python3-numpy b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 14:01:45 +0100

imath (3.1.3-1) experimental; urgency=medium

  * Initial release. (Closes: #994723)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Oct 2021 23:21:03 +0200

ilmbase (3.1.3-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream release
  * Adapt docs creation for new CMake based docs build system:
    - d/rules: Add conditional BUILD_DOCS var based on nodoc, for DOCS config
      + Split configure into override_dh_auto_configure-{arch,indep} targets
      + Add override_dh_installdocs-indep calling dh_{installdocs,sphinxdoc}
    - d/libimath-doc.isntall: Add with appropriate source and dest paths
    - d/patches/: Add revert-sphinx-requirement.patch (issue #203) to allow
      older Sphinx versions (< 4) for docs build, which do not have issue

 -- Rob Savoury <savoury@savos.tech>  Tue, 07 Sep 2021 14:32:22 -0700

ilmbase (3.1.0-imath-0ubuntu1~18.04.sav2) bionic; urgency=medium

  * Fix previous upload with change of d/rules target name:
    - d/rules: Change override_dh_sphinxdoc -> override_dh_auto_build-indep
      - Drop now unneeded sphinxdoc from dh --with for manual docs build

 -- Rob Savoury <savoury@savos.tech>  Thu, 15 Jul 2021 15:53:15 -0700

ilmbase (3.1.0-imath-0ubuntu1~18.04.sav1) bionic; urgency=medium

  * Fix broken docs build (now causing FTBFS) and generally improve structure:
    - d/rules: Add missing "cd docs && doxygen" prior to sphinx invocation
      - Add a conditional nodoc wrapper around all in override_dh_sphinxdoc
      - Change DOCPATH to use libimath-dev as with modern Debian packages
    - d/libimath-doc.doc-base: Change html paths to match libimath-dev
    - d/control: Move doxygen, python3-{breathe,sphinx} to B-D-I and annotate
      all with <!nodoc> for building package with nodoc build profile

 -- Rob Savoury <savoury@savos.tech>  Thu, 15 Jul 2021 15:20:50 -0700

ilmbase (3.1.0-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream release
  * SONAME bump: libimath28 -> libimath29
  * d/control: Bump standards to 4.1.3 (quieten lintian)

 -- Rob Savoury <savoury@savos.tech>  Thu, 15 Jul 2021 11:54:45 -0700

ilmbase (3.0.5-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream release (fixes problems with library symlinks and pkg-config)
  * d/watch: Update to only find versions with digits (ie. not with "-rc*")

 -- Rob Savoury <savoury@savos.tech>  Tue, 06 Jul 2021 09:47:43 -0700

ilmbase (3.0.4+imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * New upstream release (fixing issue with release version numbers)

 -- Rob Savoury <savoury@savos.tech>  Thu, 10 Jun 2021 12:14:57 -0700

ilmbase (3.0.3+really-imath-0ubuntu1~18.04.sav1) bionic; urgency=medium

  * d/control: Set Conflicts libilmbase-dev (<< 3.0) due libImath.so file
    conflict (note that libopenexr-dev package now Provides libilmbase-dev)

 -- Rob Savoury <savoury@savos.tech>  Sun, 23 May 2021 16:54:15 -0700

ilmbase (3.0.3+really-imath-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * Rename package to ilmbase to workaround imath not being on Launchpad i386
    whitelist (given ilmbase is on the whitelist i386 binaries will be built,
    which are required to support new OpenEXR 3.0.3 fully, including on i386)

 -- Rob Savoury <savoury@savos.tech>  Sat, 22 May 2021 16:51:46 -0700

imath (3.0.3-0ubuntu1~18.04.sav0) bionic; urgency=medium

  * Initial release (superseding previous "experimental" initial release)
  * Bring some patches from ilmbase package applicable to new imath package:
    - d/patches: 10_fix_testsuite_for_m68k and testBox{Algo}.patch, rebase all
      + Add testInterval.patch based on testBox.patch for another 32-bit fail
      + Add testFun.patch and PyImathTest.patch to skip float tests on 32-bit

 -- Rob Savoury <savoury@savos.tech>  Fri, 21 May 2021 11:53:45 -0700
